name: cmdargs
version: 0.10.18
id: cmdargs-0.10.18-9sCIeLZwQSz76UvToufwkW
key: cmdargs-0.10.18-9sCIeLZwQSz76UvToufwkW
license: BSD-3-Clause
copyright: Neil Mitchell 2009-2017
maintainer: Neil Mitchell <ndmitchell@gmail.com>
author: Neil Mitchell <ndmitchell@gmail.com>
homepage: https://github.com/ndmitchell/cmdargs#readme
synopsis: Command line argument processing
description:
    This library provides an easy way to define command line parsers. Most users
    will want to use the "System.Console.CmdArgs.Implicit" module, whose
    documentation contains an example.
    .
    * "System.Console.CmdArgs.Explicit" provides a way to write command line
    parsers for both single mode programs (most programs) and multiple
    mode programs (e.g. darcs or cabal). Parsers are defined by constructing
    a data structure.
    .
    * "System.Console.CmdArgs.Implicit" provides a way to concisely define
    command line parsers, up to three times shorter than getopt. These parsers
    are translated into the Explicit data type.
    .
    * "System.Console.CmdArgs.GetOpt" provides a wrapper allowing compatiblity
    with existing getopt parsers, mapping to the Explicit data type.
    .
    For a general reference on what command line flags are commonly used,
    see <http://www.faqs.org/docs/artu/ch10s05.html>.
category: Console
abi: ac1ee69a98c7bc1feba53d83b1f51ffa
exposed: True
exposed-modules:
    System.Console.CmdArgs System.Console.CmdArgs.Annotate
    System.Console.CmdArgs.Default System.Console.CmdArgs.Explicit
    System.Console.CmdArgs.GetOpt System.Console.CmdArgs.Helper
    System.Console.CmdArgs.Implicit System.Console.CmdArgs.Quote
    System.Console.CmdArgs.Text System.Console.CmdArgs.Verbosity
hidden-modules: Data.Generics.Any Data.Generics.Any.Prelude
                System.Console.CmdArgs.Explicit.Complete
                System.Console.CmdArgs.Explicit.ExpandArgsAt
                System.Console.CmdArgs.Explicit.Help
                System.Console.CmdArgs.Explicit.Process
                System.Console.CmdArgs.Explicit.SplitJoin
                System.Console.CmdArgs.Explicit.Type
                System.Console.CmdArgs.Implicit.Ann
                System.Console.CmdArgs.Implicit.Global
                System.Console.CmdArgs.Implicit.Local
                System.Console.CmdArgs.Implicit.Reader
                System.Console.CmdArgs.Implicit.Reform
                System.Console.CmdArgs.Implicit.Type
                System.Console.CmdArgs.Implicit.UI
import-dirs: /usr/local/lib/ghc/cmdargs-0.10.18
library-dirs: /usr/local/lib/ghc/cmdargs-0.10.18
dynamic-library-dirs: /usr/local/lib/ghc/cmdargs-0.10.18
data-dir: /usr/local/share/hs-cmdargs-0.10.18
hs-libraries: HScmdargs-0.10.18-9sCIeLZwQSz76UvToufwkW
depends:
    base-4.12.0.0 filepath-1.4.2.1 process-1.6.5.0
    template-haskell-2.14.0.0 transformers-0.5.6.2
haddock-interfaces: /usr/local/share/doc/hs-cmdargs-0.10.18/html/cmdargs.haddock
haddock-html: /usr/local/share/doc/hs-cmdargs-0.10.18/html
